Subject: Re: Deep Six
From: [email-masked] (Donald J. Gregory)
Date: Sun, 11 Sep 1994 23:37:13 GMT
Newsgroups: alt.usage.english,alt.folklore.computers,comp.sys.unisys

Chris Reed ([email-masked]) wrote:
: In article <[email-masked]>,
: Kay Dekker <[email-masked]> wrote:
: >Christopher T. Barber <[email-masked]> wrote:
: >>I've never heard "deep six" refer to burial, only to (usually useless)
: >>objects.  At sea, the phrase is "commit her/his body to the deep".   On
: >>land, one would "put it six feet under".  
: >
: >The one place that I have encountered this phrase was in the
: >command repertoire of CANDE, the Command AND Edit interface
: >for the Burroughs B6700 computer, in which the DS command was
: >used to terminate a process.  I was told, when I asked about
: >this puzzling command name, that it came from the phrase "deep
: >six"; I can't say that that enlightened me much...

: The control command 'DS' predates the B6700.  It was used to terminate a 
: process in the '60s on the B-5500.  I was there. But, in all my years I 
: have never hears DS to mean Deep-Six.  It does make sense though.  I'll 
: cross post this to comp.sys.unisys.  Some one there might know.

When I was in grad school at UCSD, I interviewed Bob Barton, who was
one of the original designers of the B5000 computer system.  He told
me that the original team was a bunch of ex-Navy guys.  The command
'DS' really does mean "deep six", but no one in Unisys will admit it
anymore.

I cited this piece of folklore in my WFL book because 'DS' is also
used as a history status, to indicate a process that did not 
terminate normally (which is EOT).  It was the best explanation
I could find for the term.

: >
: >I've taken the liberty of crossposting this to alt.folklore.computers
: >to validate this (there must be some CANDE users still around),

: CANDE is alive and well and living on the A-Series.

: >and to ask about other little Burroughs gems that I've heard, such
: >as that the part of the operating system which spawned new processes
: >was known as the "MotherForker", and that the security subsystem
: >was called "J_Edgar_Hoover".

: References to procedures such as MOTHERFORKER and JEDGARHOOVER were truly
: in the code but were expunged by directive in the early 80s.  There was
: nothing really vulgar.  Just fun. 

Actually, MOTHERFORKER was expunged circa 1970.  It seems that an
older female employee of an establishment in Great Britain attended
an MCP class back then.  She was not amused when they studied the
procedures MOTHERFORKER, FATHERFORKER, and the name of the queue
from which their offspring were sprung (three guesses what it was...).
Her site demanded it be removed.  The coders who put it in were
almost fired.

When they renamed them, they took random words out of the dictionary.
That is how MOTHERFORKER became ANABOLISM, which it still is today.
FATHERFORKER was originally renamed something like ROSACEOUS (rosy,
lovelike), then changed again.

JEDGARHOOVER is still in the MCP.  He handles security.  If you
do something wrong, your task gets sentenced to be "kangarooed"
by the kangaroo court (KANGAROO).  Being kangarooed is the same
as being DS-ed.

This code was all written around 1968, during the Viet Nam protests,
and some of that spirit still survives.  There are also references
to TV shows of the time.  Why else is the procedure for waiting
on a time period called TIMETUNNEL?

There is a lot of folklore in the history of the A-Series.  Somebody
should write a history book some day.

Don Gregory